@charset "utf-8";
/*---------------------------------------------------------------------
Parts Style
style_form.css
-----------------------------------------------------------------------
Copyright 2025 (c) linkpath Allrights Reserved.
Coding: Hinako Hayashi
Last Update: 2025.06.12
---------------------------------------------------------------------*/
/*===========================================================
    font-size
===========================================================*/
.article-view__first__post h1 {
    font-size: 350%;
}
.article-view__first__post h1 > span {
    font-size: 40%;
}

/*===========================================================
    parts
===========================================================*/
/* post-slider */
.post-slider {
    width: 100%;
    padding: 0 2em;
    padding-top: 5em;
    padding-bottom: 8em;
    box-sizing: border-box;
    position: relative;
}

/*slider-scrollbar*/
.post-slider .slider-scrollbar {
    max-width: 1350px;
    width: 90% !important;
    position: absolute;
    left: 50% !important;
    transform: translateX(-50%);
    -webkit-transform: translateX(-50%);
    -ms-transform: translateX(-50%);
    bottom: 2em;
    z-index: 2;
}
.post-slider .slider-scrollbar::before {
    content: "";
    display: block;
    width: 100%;
    height: 3px;
    background: #f90;
    border-radius: 100px;
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
}
.post-slider .slider-btn {
    aspect-ratio: 1 / 1;
    background-color: #f90;
    border-radius: 50%;
    cursor: pointer;
    position: relative;
}

/* post-item */
.post-item {
    width: fit-content;
    display: flex !important;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 1.5em;
    padding-right: 3em;
    border-right: solid 1px #f90;
    transition: all 0.3s ease;
    box-sizing: border-box;
}

.post-item:hover {
    opacity: 0.7;
}

.post-item__inner {
    text-decoration: none;
}
.post-item__inner img {
    border-radius: 0.5em;
    aspect-ratio: 4 / 3;
    object-fit: cover;
}
.post-item__inner h3 {
    line-height: 1.6em;
    padding-top: 1.5em;
}

.post-tag {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
    gap: 0.75em 0.5em;
}
.post-tag li {
    list-style: none;
}
.post-tag li a {
    color: #fff;
    background: #f90;
    display: block;
    border-radius: 200px;
    padding: 0.5em 1em;
    transition: all 0.3s;
    text-decoration: none;
}
.post-tag li a:hover {
    opacity: 0.6;
}

/* sort-options */
.sort-options {
    width: 100%;
}
.sort-options a {
    color: #999;
    text-decoration: none;
}
.sort-options a.active {
    color: #000;
}

/* post-pagination */
.post-pagination {
    width: fit-content;
    margin: 8em auto 0 auto;
    display: flex;
    align-items: center;
    gap: 1em;
}
.post-pagination a {
    font-family: "Josefin Sans", sans-serif;
}
.post-pagination .first,
.post-pagination .prev,
.post-pagination .next,
.post-pagination .last {
    border-radius: 50%;
    aspect-ratio: 1 / 1;
    border: solid 1px #333;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 2em;
    position: relative;
}
.post-pagination .prev { margin-right: 1em;}
.post-pagination .next { margin-left: 1em;}

.post-pagination .prev ,.post-pagination .next {
    position: relative;
}
.post-pagination .prev::before ,.post-pagination .next::before {
    content: "";
    height: 1px;
    width: 2em;
    background: #333;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
}
.post-pagination .prev::before {
    right: -1em;
}
.post-pagination .next::before {
    left: -1em;
}

.post-pagination .first span,
.post-pagination .prev span,
.post-pagination .next span,
.post-pagination .last span {
    background: #333;
    width: 5px;
    height: 7px;
    display: inline-block;
}
.post-pagination .first span ,.post-pagination .prev span {
    clip-path: polygon(0 50%, 100% 0, 100% 100%);
}
.post-pagination .last span ,.post-pagination .next span {
    clip-path: polygon(0 0, 100% 50%, 0 100%);
}

/*===========================================================
    wrap
===========================================================*/

/*===========================================================
    article-view__post
===========================================================*/
/* article-view__first__post */
.article-view__first__post {
    max-width: 1350px;
    width: 90%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    gap: 3em;
    padding-top: 10em;
}
.article-view__first__post h1 {
    line-height: 1.25em;
    letter-spacing: 0.05em;
    display: flex;
    flex-direction: column-reverse;
    font-family: auto;
    font-weight: 800;
}
.article-view__first__post h1 > span {
    line-height: 1.6em;
    letter-spacing: 0.1em;
    padding-top: 0.5em;
}
.article-view__first__post > p {
    line-height: 2em;
}

/*===========================================================
    main-post__list
===========================================================*/
.main-post__list {
    max-width: 1350px;
    width: 90%;
    margin: 0 auto;
    padding-top: 5em;
}

/* post-item__wrap */
.main-post__list .post-item__wrap {
    display: flex;
    flex-wrap: wrap;
    gap: 6em 0;
    margin-top: 3em;
}
/* post-item */
.main-post__list .post-item {
    width: calc(100% / 3);
    padding: 0 3em;
    box-sizing: border-box;
}
.main-post__list .post-item:nth-child(3n) {
    border-right: none !important;
}

/*===========================================================
    article-other
===========================================================*/
.article-other {
    border-top: solid 2em #f90;
}
/* article-other__post */
.article-other__post {
    max-width: 1350px;
    width: 90%;
    margin: 0 auto;
}

.article-other .post-slider .post-item:last-child {
    border-right: none;
}

@media screen and (max-width: 959px) {
/*===========================================================
    font-size
===========================================================*/

/*===========================================================
    parts
===========================================================*/

/*===========================================================
    wrap
===========================================================*/

/*===========================================================
    article-view__post
===========================================================*/

/*===========================================================
    main-post__list
===========================================================*/
/* post-item__wrap */
.main-post__list .post-item__wrap {
    gap: 3em 0;
}

/* post-item */
.main-post__list .post-item {
    width: calc(100% / 2);
    padding: 0 2em;
}
.main-post__list .post-item:nth-child(3n) {
    border-right: solid 1px #f90;
}
.main-post__list .post-item:nth-child(2n) {
    border-right: 0;
}

/*===========================================================
    
===========================================================*/

}

@media screen and (max-width: 482px) {
/*===========================================================
    font-size
===========================================================*/
.article-view__first__post h1 {
    font-size: 300%;
}

/*===========================================================
    parts
===========================================================*/
/* article-menu */
.article-menu {
    top: 6em;
}

/*===========================================================
    wrap
===========================================================*/

/*===========================================================
    article-view__post
===========================================================*/
/* article-view__first__post */

/*===========================================================
    main-post__list
===========================================================*/
/* post-item */
.main-post__list .post-item {
    width: 100%;
    padding: 0;
    border-right: none;
    border-bottom: solid 1px #f90;
    padding-bottom: 3em;
}
.main-post__list .post-item:last-child {
    border-bottom: none;
    padding-bottom: 0;
}

}